using System;
using NinjaTrader.Cbi;
using NinjaTrader.NinjaScript;

internal sealed class Delegate459 : MulticastDelegate
{
	public extern AtmStrategy Invoke(string string_0, Order order_0);

	public static AtmStrategy smethod_0(string string_0, Order order_0, Delegate459 delegate459_1)
	{
		return delegate459_1(string_0, order_0);
	}

	public extern Delegate459(object object_0, IntPtr intptr_0);

	static Delegate459()
	{
		Class10.smethod_13(typeof(Delegate459).TypeHandle);
	}

	internal static Delegate459 delegate459_0;
}
